clear all;close all;clc
ReadCSV=0;
nf = java.text.DecimalFormat;
import java.text.*
dfs = java.text.DecimalFormatSymbols(java.util.Locale('fr-CH'));  % Swiss-French Locale
dfs.setGroupingSeparator(',');  % use ' rather than ,
nf.setDecimalFormatSymbols(dfs)
CurrentFolder=pwd;
Folder=[CurrentFolder '\Searches_15_nov_2014\'];
%% Fanelli (2012)
YF=1991:2007;
F=xlsread('Fanelli_2012_2.xlsx','B2:I18');
[a1,b1]=regress(F(:,4), [ones(size(YF')) YF']);[a2,b2]=regress(F(:,3), [ones(size(YF')) YF']);[a3,b3]=regress(F(:,2), [ones(size(YF')) YF']);
figure('name','Figure 1','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1]);hold on
plot(YF,F(:,4),'g-v','Linewidth',3,'MarkerFaceColor','g')
plot(YF,F(:,3),'m-o','Linewidth',3,'MarkerFaceColor','m')
plot(YF,F(:,2),'k-s','Linewidth',3,'MarkerFaceColor','k')
plot(YF,a1(1)+YF*a1(2),'g--','Linewidth',3);
plot(YF,a2(1)+YF*a2(2),'m--','Linewidth',3)
plot(YF,a3(1)+YF*a3(2),'k--','Linewidth',3)
xlabel('Publication year','FontSize',24,'FontName','Arial')
ylabel('Positive results (%)','FontSize',24,'FontName','Arial')
legend('Social','Biological','Physical',4)
h=findobj('FontName','Helvetica');set(h,'FontSize',20,'Fontname','Arial')
set(gca,'xlim',[min(YF) max(YF)])
set(gca,'xtick',min(YF):2:max(YF))
grid on

%% Read CSV files
Y=1990:2013;
SN=repmat(10:200,16,1)'+repmat(100:100:1600,191,1);
if ReadCSV==1
    CD=NaN(size(SN,1),size(SN,2),length(Y));
    CDI=NaN(size(SN,1),size(SN,2),length(Y));
    CDP2=NaN(size(SN,1),size(SN,2),length(Y));
    CDPC2=NaN(size(SN,1),size(SN,2),length(Y));
    CDS=NaN(size(SN,1),size(SN,2),length(Y));
    CDE=NaN(size(SN,1),size(SN,2),length(Y));
    CDB=NaN(size(SN,1),size(SN,2),length(Y));
    for i=1:size(SN,1); % loop across search terms
        for i2=1:size(SN,2); % loop across region/discipline
            disp([i i2])
            filename=[Folder num2str(i2-1) num2str(SN(i,1)-100) '.csv'];if exist(filename, 'file');RDY;CD(i,i2,:)=YC;end % 71 search terms
            filename=[Folder 'I0' num2str(SN(i,i2)) '.csv']; if exist(filename, 'file');RDY;CDI(i,i2,:)=YC;end % p 0.041-0.059 intersections
            if SN(i,i2)<1000;filename=[Folder 'D0' num2str(SN(i,i2)) '.csv'];else 
                filename=[Folder 'D' num2str(SN(i,i2)) '.csv'];
            end
            if exist(filename, 'file');RDY;CDP2(i,i2,:)=YC;end % Venn discipline
            if SN(i,i2)<1000;
                filename=[Folder 'C0' num2str(SN(i,i2)) '.csv'];
             else
                filename=[Folder 'C' num2str(SN(i,i2)) '.csv'];
            end
            if exist(filename, 'file');RDY;CDPC2(i,i2,:)=YC;end  % Venn region
            filename=[Folder 'S0' num2str(SN(i,i2)) '.csv'];if exist(filename, 'file');RDY;CDS(i,i2,:)=YC;end % Subfield
            filename=[Folder 'E0' num2str(SN(i,i2)) '.csv'];if exist(filename, 'file');RDY;CDE(i,i2,:)=YC;end % Extra
            filename=[Folder 'B0' num2str(SN(i,i2)) '.csv'];if exist(filename, 'file');RDY;CDB(i,i2,:)=YC;end % 0.001 bin
        end
    end
    save('CD.mat','CD','CDI','CDP2','CDPC2','CDS','CDE','CDB')
end
%% Compute percentages
load CD
CDR=NaN(size(CD));CDIR=CDR;CDPR2=CDR;CDPCR2=CDR;CDSR=CDR;CDER=CDR;CDBR=CDR;
for i=1:size(SN,1); % loop across search terms
    for i2=1:size(SN,2); % loop across region/discipline
        CDR(i,i2,:)=100*CD(i,i2,:)./CD(1,i2,:);  % percentages of all published papers in a given year
        CDIR(i,i2,:)=100*CDI(i,i2,:)./CDI(3,i2,:);  % percentages of all published papers in a given year
        CDPR2(i,i2,:)=100*CDP2(i,i2,:)./CDP2(3,i2,:);  % percentages of all published papers in a given year
        CDPCR2(i,i2,:)=100*CDPC2(i,i2,:)./CDPC2(3,i2,:);  % percentages of all published papers in a given year
        CDSR(i,i2,:)=100*CDS(i,i2,:)./CDS(3,i2,:);  % percentages of all published papers in a given year
        CDER(i,i2,:)=100*CDE(i,i2,:)./CD(1,i2,:);  % percentages of all published papers in a given year
        CDBR(i,i2,:)=100*CDB(i,i2,:)./CD(1,i2,:);  % percentages of all published papers in a given year
    end
end
%%
DDR=nansum(CDP2,3);DCR=nansum(CDPC2,3);
ZD=[DDR(1,1) DDR(1,2) DDR(1,3) DDR(1,5) DDR(1,6) DDR(1,8) DDR(1,11);DDR(2,1) DDR(2,2) DDR(2,3) DDR(2,5) DDR(2,6) DDR(2,8) DDR(2,11);DDR(3,1) DDR(3,2) DDR(3,3) DDR(3,5) DDR(3,6) DDR(3,8) DDR(3,11);];
ZC=[DCR(1,1) DCR(1,2) DCR(1,3) DCR(1,5) DCR(1,6) DCR(1,8) DCR(1,11);DCR(2,1) DCR(2,2) DCR(2,3) DCR(2,5) DCR(2,6) DCR(2,8) DCR(2,11);DCR(3,1) DCR(3,2) DCR(3,3) DCR(3,5) DCR(3,6) DCR(3,8) DCR(3,11);];
ZD_other=[DDR(1,4) DDR(1,7) DDR(1,9) DDR(1,10) DDR(1,12) DDR(1,13) DDR(1,14) DDR(1,15);DDR(2,4) DDR(2,7) DDR(2,9) DDR(2,10) DDR(2,12) DDR(2,13) DDR(2,14) DDR(2,15);DDR(3,4) DDR(3,7) DDR(3,9) DDR(3,10) DDR(3,12) DDR(3,13) DDR(3,14) DDR(3,15);];
ZC_other=[DCR(1,4) DCR(1,7) DCR(1,9) DCR(1,10) DCR(1,12) DCR(1,13) DCR(1,14) DCR(1,15);DCR(2,4) DCR(2,7) DCR(2,9) DCR(2,10) DCR(2,12) DCR(2,13) DCR(2,14) DCR(2,15);DCR(3,4) DCR(3,7) DCR(3,9) DCR(3,10) DCR(3,12) DCR(3,13) DCR(3,14) DCR(3,15);];
ZDUnions=[DDR(1,1)+DDR(1,5)+DDR(1,6)+DDR(1,11) DDR(1,2)+DDR(1,5)+DDR(1,8)+DDR(1,11) DDR(1,3)+DDR(1,6)+DDR(1,8)+DDR(1,11);DDR(2,1)+DDR(2,5)+DDR(2,6)+DDR(2,11) DDR(2,2)+DDR(2,5)+DDR(2,8)+DDR(2,11) DDR(2,3)+DDR(2,6)+DDR(2,8)+DDR(1,11);DDR(3,1)+DDR(3,5)+DDR(3,6)+DDR(3,11) DDR(3,2)+DDR(3,5)+DDR(3,8)+DDR(3,11) DDR(3,3)+DDR(3,6)+DDR(3,8)+DDR(1,11);];
ZCUnions=[DCR(1,1)+DCR(1,5)+DCR(1,6)+DCR(1,11) DCR(1,2)+DCR(1,5)+DCR(1,8)+DCR(1,11) DCR(1,3)+DCR(1,6)+DCR(1,8)+DCR(1,11);DCR(2,1)+DCR(2,5)+DCR(2,6)+DCR(2,11) DCR(2,2)+DCR(2,5)+DCR(2,8)+DCR(2,11) DCR(2,3)+DCR(2,6)+DCR(2,8)+DCR(1,11);DCR(3,1)+DCR(3,5)+DCR(3,6)+DCR(3,11) DCR(3,2)+DCR(3,5)+DCR(3,8)+DCR(3,11) DCR(3,3)+DCR(3,6)+DCR(3,8)+DCR(1,11);];
ZDUnions_other=[DDR(1,4)+DDR(1,7)+DDR(1,9)+DDR(1,10)+DDR(1,12)+DDR(1,13)+DDR(1,14)+DDR(1,15);DDR(2,4)+DDR(2,7)+DDR(2,9)+DDR(2,10)+DDR(2,12)+DDR(2,13)+DDR(1,14)+DDR(1,15);DDR(3,4)+DDR(3,7)+DDR(3,9)+DDR(3,10)+DDR(3,12)+DDR(3,13)+DDR(2,14)+DDR(3,15);];
ZCUnions_other=[DCR(1,4)+DCR(1,7)+DCR(1,9)+DCR(1,10)+DCR(1,12)+DCR(1,13)+DCR(1,14)+DCR(1,15);DCR(2,4)+DCR(2,7)+DCR(2,9)+DCR(2,10)+DCR(2,12)+DCR(2,13)+DCR(1,14)+DCR(1,15);DCR(3,4)+DCR(3,7)+DCR(3,9)+DCR(3,10)+DCR(3,12)+DCR(3,13)+DCR(2,14)+DCR(3,15);];
ZCt=[' US '; 'AS7 '; 'EU15'; '    '; '    '; '    '; '    '];
ZDt=['Biological'; ' Physical '; '  Social  '; '          '; '          '; '          '; '          '];
r=10;ov=1.3*r;ang=0:0.01:2*pi;xp=r*cos(ang);yp=r*sin(ang);
Position_xy=[0.8*r 1.1*(r+ov) r+ov/2 r+ov/2 0.9*(r+ov/4) 1.1*(r+3*ov/4) r+ov/2 r+ov/2; r r 1.05*(r+ov) r 3*r/2+ov/4.3 3*r/2+ov/4.3 r+ov/2.4 -r/6];
%% Textual outputs
disp(['Fanelli (2012): Regression slope for social sciences = ' num2str(round(100*a1(2))/100) '%/year [CI = ' num2str(round(100*b1(2,1))/100) ', ' num2str(round(100*b1(2,2))/100) ']'])
disp(['Fanelli (2012): Regression slope for biological sciences = ' num2str(round(100*a2(2))/100) '%/year [CI = ' num2str(round(100*b2(2,1))/100) ', ' num2str(round(100*b2(2,2))/100) ']'])
disp(['Fanelli (2012): Regression slope for physical sciences = ' num2str(round(100*a3(2))/100) '%/year [CI = ' num2str(round(100*b3(2,1))/100) ', ' num2str(round(100*b3(2,2))/100) ']'])
disp(['Fanelli (2012): Average percentage of positive results over 1991-2007 for social sciences = ' num2str(round(10*mean(F(:,4)))/10)])
disp(['Fanelli (2012): Average percentage of positive results over 1991-2007 for biological sciences = ' num2str(round(10*mean(F(:,3)))/10)])
disp(['Fanelli (2012): Average percentage of positive results over 1991-2007 for physical sciences = ' num2str(round(10*mean(F(:,2)))/10)])
disp(['Health Professions and Nursing account for ' num2str(nansum(CDE(4,1,:)./nansum(CD(1,1,:))*100)) '% (' num2str(nansum(CDE(4,1,:))) '/' num2str(nansum(CD(1,1,:))) ' of all records with an abstract in Scopus with publication date between 1990 and 2013'])
disp('Number of papers:')
disp(['Total = ' num2str(nansum(CD(1,1,:))) '; Social = ' num2str(nansum(CD(1,7,:))) '; ' 'Biological = ' num2str(nansum(CD(1,5,:))) '; ' 'Physical = ' num2str(nansum(CD(1,6,:))) ';US = ' num2str(nansum(CD(1,2,:))) '; ' 'EU15 = ' num2str(nansum(CD(1,4,:))) '; ' 'AS7 = ' num2str(nansum(CD(1,3,:)))])
disp(['Papers in the social sciences represent ' num2str(nansum(CDI(3,3,:))./nansum(CD(1,2,:))*100) '% (i.e.,100*' num2str(nansum(CDI(3,3,:))) '/' num2str(nansum(CD(1,2,:))) ') of all papers from the US, ' num2str(nansum(CDI(3,9,:))./nansum(CD(1,4,:))*100) '% of all papers from the EU15, and ' num2str(nansum(CDI(3,6,:))./nansum(CD(1,3,:))*100) '% of all papers from the AS7'])
disp(['Papers in the biological sciences represent ' num2str(nansum(CDI(3,1,:))./nansum(CD(1,2,:))*100) '% of all papers from the US, ' num2str(nansum(CDI(3,7,:))./nansum(CD(1,4,:))*100) '% of all papers from the EU15, and ' num2str(nansum(CDI(3,4,:))./nansum(CD(1,3,:))*100) '% of all papers from the AS7'])
disp(['Papers in the physical sciences represent ' num2str(nansum(CDI(3,2,:))./nansum(CD(1,2,:))*100) '% of all papers from the US, ' num2str(nansum(CDI(3,8,:))./nansum(CD(1,4,:))*100) '% of all papers from the EU15, and ' num2str(nansum(CDI(3,5,:))./nansum(CD(1,3,:))*100) '% of all papers from the AS7'])
disp(['Physical sciences papers AS7/physical sciences papers US in 1990 = ' num2str(CDI(3,5,1)) '/' num2str(CDI(3,2,1)) '=' num2str(CDI(3,5,1)/CDI(3,2,1))])
disp(['Physical sciences papers AS7/physical sciences papers US in 2013 = ' num2str(CDI(3,5,24)) '/' num2str(CDI(3,2,24)) '=' num2str(CDI(3,5,24)/CDI(3,2,24))])
disp(['Percentage of 1990 papers reported a p-value between 0.040 and 0.049 = ' num2str(CD(16,1,1)/CD(1,1,1)*100) ' (' num2str(CD(16,1,1)) ' out of ' num2str(CD(1,1,1)) ' papers)'])
disp(['Percentage of 2013 papers reported a p-value between 0.040 and 0.049 = ' num2str(CD(16,1,24)/CD(1,1,24)*100) ' (' num2str(CD(16,1,24)) ' out of ' num2str(CD(1,1,24)) ' papers)'])
disp(['Percentage of 1990 papers reported a p-value between 0.051 and 0.060 = ' num2str(CD(17,1,1)/CD(1,1,1)*100) ' (' num2str(CD(17,1,1)) ' out of ' num2str(CD(1,1,1)) ' papers)'])
disp(['Percentage of 2013 papers reported a p-value between 0.051 and 0.060 = ' num2str(CD(17,1,24)/CD(1,1,24)*100) ' (' num2str(CD(17,1,24)) ' out of ' num2str(CD(1,1,24)) ' papers)'])
disp(['p-values between 0.041 and 0.049 have increased ' num2str((CD(16,1,24)/CD(1,1,24))/(CD(16,1,1)/CD(1,1,1))) num2str('-fold')])
disp(['p-values between 0.051 and 0.059 have increased ' num2str((CD(17,1,24)/CD(1,1,24))/(CD(17,1,1)/CD(1,1,1))) num2str('-fold')])
disp(['Ratio of p = 0.041-0.049 to p = 0.051-0.059 increased from ' num2str(CD(16,1,1)/CD(17,1,1)) ' (i.e., ' num2str(CD(16,1,1)) '/' num2str(CD(17,1,1)) ' papers) in 1990 to ' num2str(CD(16,1,24)/CD(17,1,24)) ' (i.e., ' num2str(CD(16,1,24)) '/' num2str(CD(17,1,24)) ' papers) in 2013'])
disp(['"significant difference" has increased ' num2str((CD(32,1,24)/CD(1,1,24))/(CD(32,1,1)/CD(1,1,1))) num2str('-fold')])
disp(['"no significant difference" has increased ' num2str((CD(33,1,24)/CD(1,1,24))/(CD(33,1,1)/CD(1,1,1))) num2str('-fold')])
disp(['Ratio of "significant difference" to "non-significant difference" has increased from ' num2str(CD(32,1,1)/CD(33,1,1)) ' (i.e., ' num2str(CD(32,1,1)) '/' num2str(CD(33,1,1)) ' papers) in 1990 to ' num2str(CD(32,1,24)/CD(33,1,24)) ' (i.e., ' num2str(CD(32,1,24)) '/' num2str(CD(33,1,24)) ' papers) in 2013'])
disp(['Averaged over the period 19902013, the phrase no significant difference is ' num2str(nanmean(CD(33,1,:)./CD(32,1,:))) ' more prevalent than the phrase significant difference'])
disp(['p < 0.05 has increased ' num2str((CD(6,1,24)/CD(1,1,24))/(CD(6,1,1)/CD(1,1,1))) num2str('-fold')])
disp(['p > 0.05 has increased ' num2str((CD(7,1,24)/CD(1,1,24))/(CD(7,1,1)/CD(1,1,1))) num2str('-fold')])
disp(['Ratio of p < 0.05 to p > 0.05 decreased from ' num2str(CD(6,1,1)/CD(7,1,1)) ' (i.e., ' num2str(CD(6,1,1)) '/' num2str(CD(7,1,1)) ' papers) in 1990 to ' num2str(CD(6,1,24)/CD(7,1,24)) ' (i.e., ' num2str(CD(6,1,24)) '/' num2str(CD(7,1,24)) ' papers) in 2013'])
disp(['Averaged over the period 19902013, the prevalence of p < 0.05 only is ' num2str(nanmean(CDE(1,1,:)./CD(1,1,:))*100) '%'])
disp(['Averaged over the period 19902013, the prevalence of p > 0.05 only is ' num2str(nanmean(CDE(2,1,:)./CD(1,1,:))*100) '%'])
disp(['Averaged over the period 19902013, the prevalence of p < 0.05 and p > 0.05 is ' num2str(nanmean(CDE(3,1,:)./CD(1,1,:))*100) '%'])
disp(['p < 0.05 only has increased ' num2str(nanmean(CDE(1,1,24)./CD(1,1,24))/(nanmean(CDE(1,1,1)./CD(1,1,1)))) '-fold'])
disp(['p > 0.05 only has increased ' num2str(nanmean(CDE(2,1,24)./CD(2,1,24))/(nanmean(CDE(2,1,1)./CD(2,1,1)))) '-fold'])
disp([num2str('In 1990-2013, reporting of p-values between  0.041 and 0.049 in biological sciences is ') num2str(nanmean(CD(16,5,:)./CD(1,5,:))/nanmean(CD(16,6,:)./CD(1,6,:))) ' times more prevalent than in physical sciences'])
disp([num2str('In 1990-2013, reporting of p-values between 0.041 and 0.049 in social sciences is ') num2str(nanmean(CD(16,7,:)./CD(1,7,:))/nanmean(CD(16,6,:)./CD(1,6,:))) ' times more prevalent than in physical sciences'])
disp([num2str('In 1990-2013, reporting of p-values between 0.051 and 0.059 in biological sciences is ') num2str(nanmean(CD(17,5,:)./CD(1,5,:))/nanmean(CD(17,6,:)./CD(1,6,:))) ' times more prevalent than in physical sciences'])
disp([num2str('In 1990-2013, reporting of p-values between 0.051 and 0.059 in social sciences is ') num2str(nanmean(CD(17,7,:)./CD(1,7,:))/nanmean(CD(17,6,:)./CD(1,6,:))) ' times more prevalent than in physical sciences'])
disp([num2str((DDR(1,5)+DDR(1,11))/ZDUnions(1,2)*100) '% (' num2str(DDR(1,5)+DDR(1,11)) ' out of ' num2str(ZDUnions(1,2)) ') physical sciences papers retrieved from the search of p-values between 0.041 and 0.049 were also classified into biological sciences by Scopus '])
disp([num2str((DDR(2,5)+DDR(2,11))/ZDUnions(2,2)*100) '% (' num2str(DDR(2,5)+DDR(2,11)) ' out of ' num2str(ZDUnions(2,2)) ') physical sciences papers retrieved from the search of p-values between 0.051 and 0.059 were also classified into biological sciences by Scopus '])
disp([num2str((DDR(1,6)+DDR(1,11))/ZDUnions(1,3)*100) '% (' num2str(DDR(1,6)+DDR(1,11)) ' out of ' num2str(ZDUnions(1,3)) ') social sciences papers retrieved from the search of p-values between 0.041 and 0.049 were also classified into biological sciences by Scopus '])
disp([num2str('In 1990-2013, reporting of p-values between 0.041 and 0.049 in pure biological sciences is ') num2str(nanmean(CDP2(1,1,:)./CDP2(3,1,:))/nanmean(CDP2(1,2,:)./CDP2(3,2,:))) ' times more prevalent than in pure physical sciences'])
disp(['Total number of p-values between 0.041 and 0.049 = ' num2str(nansum(CD(16,1,:)))])
disp(['Total number of p-values between 0.051 and 0.059 = ' num2str(nansum(CD(17,1,:)))])
disp(['Total number of significant difference(s) = ' num2str(nansum(CD(32,1,:)))])
disp(['Total number of no significant difference(s) = ' num2str(nansum(CD(33,1,:)))])
disp(['Total number of p < 0.05 = ' num2str(nansum(CD(6,1,:)))])
disp(['Total number of p > 0.05 = ' num2str(nansum(CD(7,1,:)))])
disp(['percentage of Scopus papers without an abstract was ' num2str(100*squeeze(CDE(5,1,1))/squeeze(CDE(5,1,1)+CD(1,1,1))) '% (' num2str(squeeze(CDE(5,1,1))) ' out of ' num2str(squeeze(CDE(5,1,1)+CD(1,1,1))) ' papers) in 1990'])
disp(['percentage of Scopus papers without an abstract was ' num2str(100*squeeze(CDE(5,1,24))/squeeze(CDE(5,1,24)+CD(1,1,24))) '% (' num2str(squeeze(CDE(5,1,24))) ' out of ' num2str(squeeze(CDE(5,1,24)+CD(1,1,24))) ' papers) in 2013'])
%%
A=NaN(size(CDR,2),2);B=NaN(size(CDR,2),2,2);At=A;Bt=B;Ap=A;Bp=B;A0=A;B0=B;At0=A;AS=A;AS0=A;Bt0=B;Ap0=A;Bp0=B;AP=A;BP=B;APt=A;BPt=B;APp=A;BPp=B;AP0=A;BP0=B;APt0=A;BPt0=B;APp0=A;BPp0=B;APC=A;BPC=B;APCt=A;BPCt=B;APCp=A;BPCp=B;APC0=A;BPC0=B;APCt0=A;BPCt0=B;APCp0=A;BPCp0=B;BS=B;BS0=B;
for i=1:size(CDR,2)
    if sum(isnan(squeeze(CD(16,i,:)./CD(17,i,:))))<23; [A(i,:),B(i,:,:)]=regress(squeeze(CD(16,i,:)./CD(17,i,:)), [ones(size(Y')) Y']);end % 0.041-0.041 vs. 0.051-0.059, ratio
    if sum(isnan(squeeze(CD(32,i,:)./CD(33,i,:))))<23; [At(i,:),Bt(i,:,:)]=regress(squeeze(CD(32,i,:)./CD(33,i,:)), [ones(size(Y')) Y']);end % 2 significant difference vs. no significant difference, ratio
    if sum(isnan(squeeze(CD(6,i,:)./CD(7,i,:))))<23; [Ap(i,:),Bp(i,:,:)]=regress(squeeze(CD(6,i,:)./CD(7,i,:)), [ones(size(Y')) Y']);end % p < 0.05 vs p > 0.05, ratio
    if sum(isnan(squeeze(CD(16,i,:)./(CD(16,i,:)+CD(17,i,:)))))<23; [A0(i,:),B0(i,:,:)]=regress(squeeze(CD(16,i,:)./(CD(16,i,:)+CD(17,i,:))), [ones(size(Y')) Y']);end % 0.041-0.041 vs. 0.051-0.059, percentage
    if sum(isnan(squeeze(CD(32,i,:)./(CD(32,i,:)+CD(33,i,:)))))<23; [At0(i,:),Bt0(i,:,:)]=regress(squeeze(CD(32,i,:)./(CD(32,i,:)+CD(33,i,:))), [ones(size(Y')) Y']);end % significant difference vs. no significant difference, percentage
    if sum(isnan(squeeze(CD(6,i,:)./(CD(6,i,:)+CD(7,i,:)))))<23; [Ap0(i,:),Bp0(i,:,:)]=regress(squeeze(CD(6,i,:)./(CD(6,i,:)+CD(7,i,:))), [ones(size(Y')) Y']);end % p < 0.05 vs p > 0.05, percentage
    if sum(isnan(squeeze(CDP2(1,i,:)./CDP2(2,i,:))))<23; [AP(i,:),BP(i,:,:)]=regress(squeeze(CDP2(1,i,:)./CDP2(2,i,:)), [ones(size(Y')) Y']);end
    if sum(isnan(squeeze(CDP2(4,i,:)./CDP2(5,i,:))))<23; [APt(i,:),BPt(i,:,:)]=regress(squeeze(CDP2(4,i,:)./CDP2(5,i,:)), [ones(size(Y')) Y']);end
    if sum(isnan(squeeze(CDP2(6,i,:)./CDP2(7,i,:))))<23; [APp(i,:),BPp(i,:,:)]=regress(squeeze(CDP2(6,i,:)./CDP2(7,i,:)), [ones(size(Y')) Y']);end
    if sum(isnan(squeeze(CDP2(1,i,:)./(CDP2(1,i,:)+CDP2(2,i,:)))))<23; [AP0(i,:),BP0(i,:,:)]=regress(squeeze(CDP2(1,i,:)./(CDP2(1,i,:)+CDP2(2,i,:))), [ones(size(Y')) Y']);end
    if sum(isnan(squeeze(CDP2(4,i,:)./(CDP2(4,i,:)+CDP2(5,i,:)))))<23; [APt0(i,:),BPt0(i,:,:)]=regress(squeeze(CDP2(4,i,:)./(CDP2(4,i,:)+CDP2(5,i,:))), [ones(size(Y')) Y']);end
    if sum(isnan(squeeze(CDP2(6,i,:)./(CDP2(6,i,:)+CDP2(7,i,:)))))<23; [APp0(i,:),BPp0(i,:,:)]=regress(squeeze(CDP2(6,i,:)./(CDP2(6,i,:)+CDP2(7,i,:))), [ones(size(Y')) Y']);end
    if sum(isnan(squeeze(CDPC2(1,i,:)./CDPC2(2,i,:))))<23; [APC(i,:),BPC(i,:,:)]=regress(squeeze(CDPC2(1,i,:)./CDPC2(2,i,:)), [ones(size(Y')) Y']);end
    if sum(isnan(squeeze(CDPC2(4,i,:)./CDPC2(5,i,:))))<23; [APCt(i,:),BPCt(i,:,:)]=regress(squeeze(CDPC2(4,i,:)./CDPC2(5,i,:)), [ones(size(Y')) Y']);end
    if sum(isnan(squeeze(CDPC2(6,i,:)./CDPC2(7,i,:))))<23; [APCp(i,:),BPCp(i,:,:)]=regress(squeeze(CDPC2(6,i,:)./CDPC2(7,i,:)), [ones(size(Y')) Y']);end
    if sum(isnan(squeeze(CDPC2(1,i,:)./(CDPC2(1,i,:)+CDPC2(2,i,:)))))<23; [APC0(i,:),BPC0(i,:,:)]=regress(squeeze(CDPC2(1,i,:)./(CDPC2(1,i,:)+CDPC2(2,i,:))), [ones(size(Y')) Y']);end
    if sum(isnan(squeeze(CDPC2(4,i,:)./(CDPC2(4,i,:)+CDPC2(5,i,:)))))<23; [APCt0(i,:),BPCt0(i,:,:)]=regress(squeeze(CDPC2(4,i,:)./(CDPC2(4,i,:)+CDPC2(5,i,:))), [ones(size(Y')) Y']);end
    if sum(isnan(squeeze(CDPC2(6,i,:)./(CDPC2(6,i,:)+CDPC2(7,i,:)))))<23; [APCp0(i,:),BPCp0(i,:,:)]=regress(squeeze(CDPC2(6,i,:)./(CDPC2(6,i,:)+CDPC2(7,i,:))), [ones(size(Y')) Y']);end
    if sum(isnan(squeeze(CDS(1,i,:)./CDS(2,i,:))))<23; [AS(i,:),BS(i,:,:)]=regress(squeeze(CDS(1,i,:)./CDS(2,i,:)), [ones(size(Y')) Y']);end
    if sum(isnan(squeeze(CDS(1,i,:)./(CDS(1,i,:)+CDS(2,i,:)))))<23; [AS0(i,:),BS0(i,:,:)]=regress(squeeze(CDS(1,i,:)./(CDS(1,i,:)+CDS(2,i,:))), [ones(size(Y')) Y']);end
end

figure('name','Figure 2','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1]);hold on
plot(Y,squeeze(CDI(3,3,:)),'g-o','Linewidth',3,'MarkerFaceColor','g')
plot(Y,squeeze(CDI(3,9,:)),'g--s','Linewidth',3,'MarkerFaceColor','w')
plot(Y,squeeze(CDI(3,6,:)),'g-.v','Linewidth',3,'MarkerFaceColor','g')
plot(Y,squeeze(CDI(3,1,:)),'m-o','Linewidth',3,'MarkerFaceColor','m')
plot(Y,squeeze(CDI(3,7,:)),'m--s','Linewidth',3,'MarkerFaceColor','w')
plot(Y,squeeze(CDI(3,4,:)),'m-.v','Linewidth',3,'MarkerFaceColor','m')
plot(Y,squeeze(CDI(3,2,:)),'k-o','Linewidth',3,'MarkerFaceColor','k')
plot(Y,squeeze(CDI(3,8,:)),'k--s','Linewidth',3,'MarkerFaceColor','w')
plot(Y,squeeze(CDI(3,5,:)),'k-.v','Linewidth',3,'MarkerFaceColor','k')
LP
ylabel('Number of papers','FontSize',24,'FontName','Arial')
legend('Social, US','Social, EU15','Social, AS7','Biological, US','Biological, EU15','Biological, AS7','Physical, US','Physical, EU15','Physical, AS7', 2)

figure('name','Figure 3','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1]);hold on
plot(Y,squeeze(CDR(16,1,:)),'r-o','Linewidth',3,'MarkerFaceColor','w')
plot(Y,squeeze(CDR(17,1,:)),'b-s','Linewidth',3, 'MarkerFaceColor','b')
LP
legend('{\itp} between 0.041 and 0.049','{\itp} between 0.051 and 0.059',2)

figure('name','Figure 4','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1]);hold on
plot(Y,squeeze(CDR(16,1,:)./CDR(17,1,:)),'k-^','Linewidth',3,'MarkerFaceColor','k')
plot(Y,A(1,1)+Y*A(1,2),'k--','Linewidth',3)
RP
set(gca,'ylim',[0 8])

figure('name','Figure 5','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1]);hold on
plot(Y,squeeze(CDR(32,1,:)),'r-o','Linewidth',3,'MarkerFaceColor','w')
plot(Y,squeeze(CDR(33,1,:)),'b-s','Linewidth',3,'MarkerFaceColor','b')
LP
legend('"significant difference"','"no significant difference"',4)

figure('name','Figure 6','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1]);hold on
plot(Y,squeeze(CDR(32,1,:))./squeeze(CDR(33,1,:)),'k-^','Linewidth',3,'MarkerFaceColor','k')
plot(Y,At(1,1)+Y*At(1,2),'k--','Linewidth',3)
RP
set(gca,'ylim',[0 1])

figure('name','Figure 7','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1]);hold on
plot(Y,squeeze(CDR(6,1,:)),'r-o','Linewidth',3,'MarkerFaceColor','w')
plot(Y,squeeze(CDR(7,1,:)),'b-s','Linewidth',3,'MarkerFaceColor','b')
LP
legend('{\itp} < 0.05','{\itp} > 0.05','Location','East')

figure('name','Figure 8','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1]);hold on
plot(Y,squeeze(CDR(6,1,:)./CDR(7,1,:)),'k-^','Linewidth',3,'MarkerFaceColor','k')
plot(Y,Ap(1,1)+Y*Ap(1,2),'k--','Linewidth',3)
RP

figure('name','Figure 9','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1])
temp=CDR;I1=[16 17];I2=[7 5 6];NP;LP
legend('{\itp} between 0.041 and 0.049, social','{\itp} between 0.051 and 0.059, social','{\itp} between 0.041 and 0.049, biological','{\itp} between 0.051 and 0.059, biological','{\itp} between 0.041 and 0.049, physical','{\itp} between 0.051 and 0.059, physical',2)

figure('name','Figure 10','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1])
temp=CDR;temp2=A;I1=[16 17];I2=[7 5 6];NP2;RP
set(gca,'ylim',[0 8])
legend('Social','Biological','Physical',2)

figure('name','Figure 11','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1])
temp=CDR;I1=[32 33];I2=[7 5 6];NP;LP
legend('"significant difference", social','"no significant difference", social','"significant difference", biological','"no significant difference", biological',2,'"significant difference", physical','"no significant difference", physical',2)
set(gca,'ylim',[0 5])

figure('name','Figure 12','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1])
temp=CDR;temp2=At;I1=[32 33];I2=[7 5 6];NP2;RP
set(gca,'ylim',[0 2.5])
legend('Social','Biological','Physical',4)

figure('name','Figure 13','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1])
temp=CDR;I1=[6 7];I2=[7 5 6];NP;LP
legend('{\itp} < 0.05, social','{\itp} > 0.05, social','{\itp} < 0.05, biological','{\itp} > 0.05, biological','{\itp} < 0.05, physical','{\itp} > 0.05, physical','Location','East')

figure('name','Figure 14','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1])
temp=CDR;temp2=Ap;I1=[6 7];I2=[7 5 6];NP2;RP
legend('Social','Biological','Physical',1)
%%
figure('name','Figure 15','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1]);hold on
h1=subplot(1,3,1);C; 

for i = 1:7;text(Position_xy(1,i), Position_xy(2,i), [{ZDt(i,1:10)}; {num2str(char(nf.format(ZD(1,i))))}],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9);end
for i = 1:3;text(Position_xy(1,i), Position_xy(2,i)-2.5, [num2str(round(100*100*(ZD(1,i))./(ZDUnions(1,i)))/100,'%.2f') '%'],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9);end
text(Position_xy(1,8), Position_xy(2,8), [{'Other'}; {num2str(char(nf.format((DDR(1,4)))))}],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9)
text(Position_xy(1,8), Position_xy(2,8)-2.5, [num2str(round(100*100*(ZD_other(1,1))./(ZDUnions_other(1,1)))/100,'%.2f') '%'],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9)
text(16.5,36,'papers with {\itp}-values between 0.041 and 0.049','HorizontalAlignment','center','FontName','Arial','FontSize',10)
text(0,30,'A','HorizontalAlignment','center','FontWeight','Bold','FontName','Arial','FontSize',16)

h2=subplot(1,3,2);C;
for i = 1:7;text(Position_xy(1,i), Position_xy(2,i), [{ZDt(i,1:10)}; {num2str(char(nf.format(ZD(2,i))))}],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9);end
for i = 1:3;text(Position_xy(1,i), Position_xy(2,i)-2.5, [num2str(round(100*100*(ZD(2,i))./(ZDUnions(2,i)))/100,'%.2f') '%'],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9);end
text(Position_xy(1,8), Position_xy(2,8), [{'Other'}; {num2str(char(nf.format((DDR(2,4)))))}],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9)
text(Position_xy(1,8), Position_xy(2,8)-2.5, [num2str(round(100*100*(ZD_other(2,1))./(ZDUnions_other(2,1)))/100,'%.2f') '%'],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9)
text(16.5,36,'papers with {\itp}-values between 0.051 and 0.059','HorizontalAlignment','center','FontName','Arial','FontSize',10)
text(0,30,'B','HorizontalAlignment','center','FontWeight','Bold','FontName','Arial','FontSize',16)

h3=subplot(1,3,3);C;
for i = 1:7;text(Position_xy(1,i), Position_xy(2,i), [{ZDt(i,1:10)}; {num2str(char(nf.format(ZD(3,i))))}],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9);end
for i = 1:3;text(Position_xy(1,i), Position_xy(2,i)-2.5, [num2str(round(100*100*(ZD(3,i))./(ZDUnions(3,i)))/100,'%.2f') '%'],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9);end
text(Position_xy(1,8), Position_xy(2,8), [{'Other'}; {num2str(char(nf.format((DDR(3,4)))))}],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9)
text(Position_xy(1,8), Position_xy(2,8)-2.5, [num2str(round(100*100*(ZD_other(3,1))./(ZDUnions_other(3,1)))/100,'%.2f') '%'],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9)
text(16.5,36,'total number of papers','HorizontalAlignment','center','FontName','Arial','FontSize',10)
text(0,30,'C','HorizontalAlignment','center','FontWeight','Bold','FontName','Arial','FontSize',16)

ax1=get(h1,'Position'); ax1(2)=ax1(2)-.5; ax1(4)=ax1(4)+1.2; set(h1,'Position',ax1);
ax2=get(h2,'Position'); ax2(2)=ax2(2)-.5; ax2(4)=ax2(4)+1.2; set(h2,'Position',ax2);
ax3=get(h3,'Position'); ax3(2)=ax3(2)-.5; ax3(4)=ax3(4)+1.2; set(h3,'Position',ax3);

figure('name','Figure 16','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1])
subplot(2,3,1);hold on
bar([1 3:3:9],[A(1,2) A(7,2) A(5,2) A(6,2)],.4,'FaceColor',[.75 .75 .75])
bar([2 4:3:10],[0 AP(3,2) AP(1,2) AP(2,2)],.4,'FaceColor',[1 .5 0]);
errorbar([1 3:3:9],[A(1,2) A(7,2) A(5,2) A(6,2)], [B(1,2,2)-A(1,2) B(7,2,2)-A(7,2) B(5,2,2)-A(5,2) B(6,2,2)-A(6,2)],'k.','MarkerEdgeColor','none')
errorbar([2 4:3:10],[0 AP(3,2) AP(1,2) AP(2,2)],[0 BP(3,2,2)-AP(3,2) BP(1,2,2)-AP(1,2) BP(2,2,2)-AP(2,2)],'k.','MarkerEdgeColor','none')
xlabel('{\itp} = 0.041-0.049 vs. {\itp} = 0.051-0.059','Fontname','Arial','FontSize',10)
ylabel('ratio/year','Fontname','Arial','FontSize',10)
set(gca,'xlim',[-1.5 11],'ylim',[-.25 .6],'XTick',[1 3.5 6.5 9.5],'XTickLabel',{'All','Social','Biological','Physical'},'FontSize',10,'FontName','Arial')
ylimit=get(gca,'yLim');
text(-1,ylimit(2),{'{\itS}';'{\itNS}';'{\itS}/{\itNS}'},'HorizontalAlignment','left','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(.8,ylimit(2),{num2str(char(nf.format(nansum(CD(16,1,:))))); num2str(char(nf.format(nansum(CD(17,1,:))))); num2str((round(100*nanmean(CD(16,1,:)./CD(17,1,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(2.8,ylimit(2),{num2str(char(nf.format(nansum(CD(16,7,:))))); num2str(char(nf.format(nansum(CD(17,7,:))))); num2str((round(100*nanmean(CD(16,7,:)./CD(17,7,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(5.8,ylimit(2),{num2str(char(nf.format(nansum(CD(16,5,:))))); num2str(char(nf.format(nansum(CD(17,5,:))))); num2str((round(100*nanmean(CD(16,5,:)./CD(17,5,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(8.8,ylimit(2),{num2str(char(nf.format(nansum(CD(16,6,:))))); num2str(char(nf.format(nansum(CD(17,6,:))))); num2str((round(100*nanmean(CD(16,6,:)./CD(17,6,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(4.2,ylimit(2),{num2str(char(nf.format(nansum(CDP2(1,3,:))))); num2str(char(nf.format(nansum(CDP2(2,3,:))))); num2str((round(100*nanmean(CDP2(1,3,:)./CDP2(2,3,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(7.2,ylimit(2),{num2str(char(nf.format(nansum(CDP2(1,1,:))))); num2str(char(nf.format(nansum(CDP2(2,1,:))))); num2str((round(100*nanmean(CDP2(1,1,:)./CDP2(2,1,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(10.2,ylimit(2),{num2str(char(nf.format(nansum(CDP2(1,2,:))))); num2str(char(nf.format(nansum(CDP2(2,2,:))))); num2str((round(100*nanmean(CDP2(1,2,:)./CDP2(2,2,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(-3.3,ylimit(2),'A','HorizontalAlignment','center','FontWeight','Bold','FontName','Arial','FontSize',16)
h_legend=legend('cross-classified','pure','Location','SouthWest');
set(h_legend,'FontSize',10)

subplot(2,3,2);hold on
bar([1 3:3:9],[At(1,2) At(7,2) At(5,2) At(6,2)],.4,'FaceColor',[.75 .75 .75])
bar([2 4:3:10],[0 APt(3,2) APt(1,2) APt(2,2)],.4,'FaceColor',[1 .5 0]);
errorbar([1 3:3:9],[At(1,2) At(7,2) At(5,2) At(6,2)], [Bt(1,2,2)-At(1,2) Bt(7,2,2)-At(7,2) Bt(5,2,2)-At(5,2) Bt(6,2,2)-At(6,2)],'k.','MarkerEdgeColor','none')
errorbar([2 4:3:10],[0 APt(3,2) APt(1,2) APt(2,2)],[0 BPt(3,2,2)-APt(3,2) BPt(1,2,2)-APt(1,2) BPt(2,2,2)-APt(2,2)],'k.','MarkerEdgeColor','none')
xlabel('"significant difference" vs. "non-significant difference"','Fontname','Arial','FontSize',10)
ylabel('ratio/year','Fontname','Arial','FontSize',10)
set(gca,'xlim',[-1.5 11],'ylim',[-.03 .06],'XTick',[1 3.5 6.5 9.5],'XTickLabel',{'All','Social','Biological','Physical'},'FontName','Arial','FontSize',10)
ylimit=get(gca,'yLim');
text(-1,ylimit(2),{'{\itS}';'{\itNS}';'{\itS}/{\itNS}'},'HorizontalAlignment','left','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(.8,ylimit(2),{num2str(char(nf.format(nansum(CD(32,1,:))))); num2str(char(nf.format(nansum(CD(33,1,:))))); num2str((round(100*nanmean(CD(32,1,:)./CD(33,1,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(2.8,ylimit(2),{num2str(char(nf.format(nansum(CD(32,7,:))))); num2str(char(nf.format(nansum(CD(33,7,:))))); num2str((round(100*nanmean(CD(32,7,:)./CD(33,7,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(5.8,ylimit(2),{num2str(char(nf.format(nansum(CD(32,5,:))))); num2str(char(nf.format(nansum(CD(33,5,:))))); num2str((round(100*nanmean(CD(32,5,:)./CD(33,5,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(8.8,ylimit(2),{num2str(char(nf.format(nansum(CD(32,6,:))))); num2str(char(nf.format(nansum(CD(33,6,:))))); num2str((round(100*nanmean(CD(32,6,:)./CD(33,6,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(4.2,ylimit(2),{num2str(char(nf.format(nansum(CDP2(4,3,:))))); num2str(char(nf.format(nansum(CDP2(5,3,:))))); num2str((round(100*nanmean(CDP2(4,3,:)./CDP2(5,3,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(7.2,ylimit(2),{num2str(char(nf.format(nansum(CDP2(4,1,:))))); num2str(char(nf.format(nansum(CDP2(5,1,:))))); num2str((round(100*nanmean(CDP2(4,1,:)./CDP2(5,1,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(10.2,ylimit(2),{num2str(char(nf.format(nansum(CDP2(4,2,:))))); num2str(char(nf.format(nansum(CDP2(5,2,:))))); num2str((round(100*nanmean(CDP2(4,2,:)./CDP2(5,2,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(-3.3,ylimit(2),'B','HorizontalAlignment','center','FontWeight','Bold','FontName','Arial','FontSize',16)

subplot(2,3,3);hold on
bar([1 3:3:9],[Ap(1,2) Ap(7,2) Ap(5,2) Ap(6,2)],.4,'FaceColor',[.75 .75 .75])
bar([2 4:3:10],[0 APp(3,2) APp(1,2) APp(2,2)],.4,'FaceColor',[1 .5 0]);
errorbar([1 3:3:9],[Ap(1,2) Ap(7,2) Ap(5,2) Ap(6,2)], [Bp(1,2,2)-Ap(1,2) Bp(7,2,2)-Ap(7,2) Bp(5,2,2)-Ap(5,2) Bp(6,2,2)-Ap(6,2)],'k.','MarkerEdgeColor','none')
errorbar([2 4:3:10],[0 APp(3,2) APp(1,2) APp(2,2)],[0 BPp(3,2,2)-APp(3,2) BPp(1,2,2)-APp(1,2) BPp(2,2,2)-APp(2,2)],'k.','MarkerEdgeColor','none')
xlabel('{\itp} < 0.05 vs. {\itp} > 0.05','Fontname','Arial','FontSize',10)
ylabel('ratio/year','Fontname','Arial','FontSize',10)
set(gca,'xlim',[-1.5 11],'ylim',[-1.05 .55],'XTick',[1 3.5 6.5 9.5],'XTickLabel',{'All','Social','Biological','Physical'},'FontSize',10,'FontName','Arial')
ylimit=get(gca,'yLim');
text(-1,ylimit(2),{'{\itS}';'{\itNS}';'{\itS}/{\itNS}'},'HorizontalAlignment','left','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(.8,ylimit(2),{num2str(char(nf.format(nansum(CD(6,1,:))))); num2str(char(nf.format(nansum(CD(7,1,:))))); num2str((round(100*nanmean(CD(6,1,:)./CD(7,1,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(2.8,ylimit(2),{num2str(char(nf.format(nansum(CD(6,7,:))))); num2str(char(nf.format(nansum(CD(7,7,:))))); num2str((round(100*nanmean(CD(6,7,:)./CD(7,7,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(5.8,ylimit(2),{num2str(char(nf.format(nansum(CD(6,5,:))))); num2str(char(nf.format(nansum(CD(7,5,:))))); num2str((round(100*nanmean(CD(6,5,:)./CD(7,5,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(8.8,ylimit(2),{num2str(char(nf.format(nansum(CD(6,6,:))))); num2str(char(nf.format(nansum(CD(7,6,:))))); num2str((round(100*nanmean(CD(6,6,:)./CD(7,6,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(4.2,ylimit(2),{num2str(char(nf.format(nansum(CDP2(6,3,:))))); num2str(char(nf.format(nansum(CDP2(7,3,:))))); num2str((round(100*nanmean(CDP2(6,3,:)./CDP2(7,3,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(7.2,ylimit(2),{num2str(char(nf.format(nansum(CDP2(6,1,:))))); num2str(char(nf.format(nansum(CDP2(7,1,:))))); num2str((round(100*nanmean(CDP2(6,1,:)./CDP2(7,1,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(10.2,ylimit(2),{num2str(char(nf.format(nansum(CDP2(6,2,:))))); num2str(char(nf.format(nansum(CDP2(7,2,:))))); num2str((round(100*nanmean(CDP2(6,2,:)./CDP2(7,2,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(-3.3,ylimit(2),'C','HorizontalAlignment','center','FontWeight','Bold','FontName','Arial','FontSize',16)

subplot(2,3,4);hold on
bar([1 3:3:9],100*[A0(1,2) A0(7,2) A0(5,2) A0(6,2)],.4,'FaceColor',[.75 .75 .75])
bar([2 4:3:10],100*[0 AP0(3,2) AP0(1,2) AP0(2,2)],.4,'FaceColor',[1 .5 0]);
errorbar([1 3:3:9],100*[A0(1,2) A0(7,2) A0(5,2) A0(6,2)], 100*[B0(1,2,2)-A0(1,2) B0(7,2,2)-A0(7,2) B0(5,2,2)-A0(5,2) B0(6,2,2)-A0(6,2)],'k.','MarkerEdgeColor','none')
errorbar([2 4:3:10],100*[0 AP0(3,2) AP0(1,2) AP0(2,2)],100*[0 BP0(3,2,2)-AP0(3,2) BP0(1,2,2)-AP0(1,2) BP0(2,2,2)-AP0(2,2)],'k.','MarkerEdgeColor','none')
xlabel('{\itp} = 0.041-0.049 vs. {\itp} = 0.051-0.059','Fontname','Arial','FontSize',10)
ylabel('percentage/year','Fontname','Arial','FontSize',10)
set(gca,'xlim',[-1.5 11],'ylim',[-.5 3.2],'XTick',[1 3.5 6.5 9.5],'XTickLabel',{'All','Social','Biological','Physical'},'FontSize',10,'FontName','Arial')
ylimit=get(gca,'yLim');
text(-3.3,ylimit(2),'D','HorizontalAlignment','center','FontWeight','Bold','FontName','Arial','FontSize',16)

subplot(2,3,5);hold on
bar([1 3:3:9],100*[At0(1,2) At0(7,2) At0(5,2) At0(6,2)],.4,'FaceColor',[.75 .75 .75])
bar([2 4:3:10],100*[0 APt0(3,2) APt0(1,2) APt0(2,2)],.4,'FaceColor',[1 .5 0]);
errorbar([1 3:3:9],100*[At0(1,2) At0(7,2) At0(5,2) At0(6,2)], 100*[Bt0(1,2,2)-At0(1,2) Bt0(7,2,2)-At0(7,2) Bt0(5,2,2)-At0(5,2) Bt0(6,2,2)-At0(6,2)],'k.','MarkerEdgeColor','none')
errorbar([2 4:3:10],100*[0 APt0(3,2) APt0(1,2) APt0(2,2)],100*[0 BPt0(3,2,2)-APt0(3,2) BPt0(1,2,2)-APt0(1,2) BPt0(2,2,2)-APt0(2,2)],'k.','MarkerEdgeColor','none')
xlabel('"significant difference" vs. "non-significant difference"','FontSize',10)
ylabel('percentage/year','FontSize',10)
set(gca,'xlim',[-1.5 11],'ylim',[-.2 .95],'XTick',[1 3.5 6.5 9.5],'XTickLabel',{'All','Social','Biological','Physical'},'FontSize',10,'FontName','Arial')
ylimit=get(gca,'yLim');
text(-3.3,ylimit(2),'E','HorizontalAlignment','center','FontWeight','Bold','FontName','Arial','FontSize',16)

subplot(2,3,6);hold on
bar([1 3:3:9],100*[Ap0(1,2) Ap0(7,2) Ap0(5,2) Ap0(6,2)],.4,'FaceColor',[.75 .75 .75])
bar([2 4:3:10],100*[0 APp0(3,2) APp0(1,2) APp0(2,2)],.4,'FaceColor',[1 .5 0]);
errorbar([1 3:3:9],100*[Ap0(1,2) Ap0(7,2) Ap0(5,2) Ap0(6,2)], 100*[Bp0(1,2,2)-Ap0(1,2) Bp0(7,2,2)-Ap0(7,2) Bp0(5,2,2)-Ap0(5,2) Bp0(6,2,2)-Ap0(6,2)],'k.','MarkerEdgeColor','none')
errorbar([2 4:3:10],100*[0 APp0(3,2) APp0(1,2) APp0(2,2)],100*[0 BPp0(3,2,2)-APp0(3,2) BPp0(1,2,2)-APp0(1,2) BPp0(2,2,2)-APp0(2,2)],'k.','MarkerEdgeColor','none')
xlabel('{\itp} < 0.05 vs. {\itp} > 0.05','Fontname','Arial','FontSize',10)
ylabel('percentage/year','Fontname','Arial','FontSize',10)
set(gca,'xlim',[-1.5 11],'XTick',[1 3.5 6.5 9.5],'XTickLabel',{'All','Social','Biological','Physical'},'FontSize',10,'FontName','Arial')
ylimit=get(gca,'yLim');
text(-3.3,ylimit(2),'F','HorizontalAlignment','center','FontWeight','Bold','FontName','Arial','FontSize',16)

%% Comparison of longitudinal trends between world regions
figure('name','Figure 17','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1])
temp=CDR;temp2=A;I1=[16 17];I2=[2 4 3];NP2;RP
set(gca,'ylim',[0 8])
legend('US','EU15','AS7',2)

figure('name','Figure 18','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1])
temp=CDR;temp2=At;I1=[32 33];I2=[2 4 3];NP2;RP
set(gca,'ylim',[0 1.5])
legend('US','EU15','AS7',4)

figure('name','Figure 19','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1])
temp=CDR;temp2=Ap;I1=[6 7];I2=[2 4 3];NP2;RP
legend('US','EU15','AS7',1)

figure('name','Figure 20','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1]);hold on

h1=subplot(1,3,1);C; title('papers with {\itp}-values between 0.041 and 0.049')
for i = 1:7;text(Position_xy(1,i), Position_xy(2,i), [{ZCt(i,1:4)}; {num2str(char(nf.format(ZC(1,i))))}],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9);end
for i = 1:3;text(Position_xy(1,i), Position_xy(2,i)-2.5, [num2str(round(100*100*(ZC(1,i))./(ZCUnions(1,i)))/100,'%.2f') '%'],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9);end
text(Position_xy(1,8), Position_xy(2,8), [{'Other'}; {num2str(char(nf.format((DCR(1,4)))))}],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9)
text(Position_xy(1,8), Position_xy(2,8)-2.5, [num2str(round(100*100*(ZC_other(1,1))./(ZCUnions_other(1,1)))/100,'%.2f') '%'],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9)
text(16.5,36,'papers with {\itp}-values between 0.041 and 0.049','HorizontalAlignment','center','FontName','Arial','FontSize',10)
text(0,30,'A','HorizontalAlignment','center','FontWeight','Bold','FontName','Arial','FontSize',16)

h2=subplot(1,3,2);C; title('papers with {\itp}-values between 0.051 and 0.059')
for i = 1:7;text(Position_xy(1,i), Position_xy(2,i), [{ZCt(i,1:4)}; {num2str(char(nf.format(ZC(2,i))))}],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9);end
for i = 1:3;text(Position_xy(1,i), Position_xy(2,i)-2.5, [num2str(round(100*100*(ZC(2,i))./(ZCUnions(2,i)))/100,'%.2f') '%'],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9);end
text(Position_xy(1,8), Position_xy(2,8), [{'Other'}; {num2str(char(nf.format((DCR(2,4)))))}],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9)
text(Position_xy(1,8), Position_xy(2,8)-2.5, [num2str(round(100*100*(ZC_other(2,1))./(ZCUnions_other(2,1)))/100,'%.2f') '%'],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9)
text(16.5,36,'papers with {\itp}-values between 0.051 and 0.059','HorizontalAlignment','center','FontName','Arial','FontSize',10)
text(0,30,'B','HorizontalAlignment','center','FontWeight','Bold','FontName','Arial','FontSize',16)

h3=subplot(1,3,3);C; title('total number of papers')
for i = 1:7;text(Position_xy(1,i), Position_xy(2,i), [{ZCt(i,1:4)}; {num2str(char(nf.format(ZC(3,i))))}],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9);end
for i = 1:3;text(Position_xy(1,i), Position_xy(2,i)-2.5, [num2str(round(100*100*(ZC(3,i))./(ZCUnions(3,i)))/100,'%.2f') '%'],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9);end
text(Position_xy(1,8), Position_xy(2,8), [{'Other'}; {num2str(char(nf.format((DCR(3,4)))))}],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9)
text(Position_xy(1,8), Position_xy(2,8)-2.5, [num2str(round(100*100*(ZC_other(3,1))./(ZCUnions_other(3,1)))/100,'%.2f') '%'],'FontSize',11,'HorizontalAlignment','center','Fontname','Arial','Fontsize',9)
text(16.5,36,'total number of papers','HorizontalAlignment','center','FontName','Arial','FontSize',10)
text(0,30,'C','HorizontalAlignment','center','FontWeight','Bold','FontName','Arial','FontSize',16)

ax1=get(h1,'Position'); ax1(2)=ax1(2)-.5; ax1(4)=ax1(4)+1.2; set(h1,'Position',ax1);
ax2=get(h2,'Position'); ax2(2)=ax2(2)-.5; ax2(4)=ax2(4)+1.2; set(h2,'Position',ax2);
ax3=get(h3,'Position'); ax3(2)=ax3(2)-.5; ax3(4)=ax3(4)+1.2; set(h3,'Position',ax3);

figure('name','Figure 21','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1])
subplot(2,3,1);hold on
bar(1:3:7,[A(2,2) A(4,2) A(3,2)],.3, 'FaceColor',[.75 .75 .75])
bar(2:3:8,[APC(1,2) APC(3,2) APC(2,2)],.3, 'FaceColor',[1 .5 0]);
errorbar(1:3:7,[A(2,2) A(4,2) A(3,2)], [B(2,2,2)-A(2,2) B(4,2,2)-A(4,2) B(3,2,2)-A(3,2)],'k.','MarkerEdgeColor','none')
errorbar(2:3:8,[APC(1,2) APC(3,2) APC(2,2)],[BPC(1,2,2)-APC(1,2) BPC(3,2,2)-APC(3,2) BPC(2,2,2)-APC(2,2)],'k.','MarkerEdgeColor','none')
xlabel('{\itp} = 0.041-0.049 vs. {\itp} = 0.051-0.059','Fontname','Arial','FontSize',10)
ylabel('ratio/year','Fontname','Arial','FontSize',10)
set(gca,'xlim',[-1.5 9],'ylim',[0 .34],'XTick',[1.5 4.5 7.5],'XTickLabel',{'US','EU15','AS7'},'FontSize',10,'FontName','Arial')
ylimit=get(gca,'yLim');
text(-1,ylimit(2),{'{\itS}';'{\itNS}';'{\itS}/{\itNS}'},'HorizontalAlignment','left','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(.8,ylimit(2),{num2str(char(nf.format((nansum(CD(16,2,:)))))); num2str(char(nf.format((nansum(CD(17,2,:)))))); num2str((round(100*nanmean(CD(16,2,:)./CD(17,2,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(3.8,ylimit(2),{num2str(char(nf.format((nansum(CD(16,4,:)))))); num2str(char(nf.format((nansum(CD(17,4,:)))))); num2str((round(100*nanmean(CD(16,4,:)./CD(17,4,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(6.8,ylimit(2),{num2str(char(nf.format((nansum(CD(16,3,:)))))); num2str(char(nf.format((nansum(CD(17,3,:)))))); num2str((round(100*nanmean(CD(16,3,:)./CD(17,3,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(2.2,ylimit(2),{num2str(char(nf.format((nansum(CDPC2(1,1,:)))))); num2str(char(nf.format((nansum(CDPC2(2,1,:)))))); num2str((round(100*nanmean(CDPC2(1,1,:)./CDPC2(2,1,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(5.2,ylimit(2),{num2str(char(nf.format((nansum(CDPC2(1,3,:)))))); num2str(char(nf.format((nansum(CDPC2(2,3,:)))))); num2str((round(100*nanmean(CDPC2(1,3,:)./CDPC2(2,3,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(8.2,ylimit(2),{num2str(char(nf.format((nansum(CDPC2(1,2,:)))))); num2str(char(nf.format((nansum(CDPC2(2,2,:)))))); num2str((round(100*nanmean(CDPC2(1,2,:)./CDPC2(2,2,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(-3.3,ylimit(2),'A','HorizontalAlignment','center','FontWeight','Bold','FontName','Arial','FontSize',16)
h_legend=legend('cross-classified','pure','Location',[0.135 .8 0.11 0.05]);
set(h_legend,'Fontname','Arial','FontSize',10)

subplot(2,3,2);hold on
bar(1:3:7,[At(2,2) At(4,2) At(3,2)],.3,'FaceColor',[.75 .75 .75])
bar(2:3:8,[APCt(1,2) APCt(3,2) APCt(2,2)],.3,'FaceColor',[1 .5 0]);
errorbar(1:3:7,[At(2,2) At(4,2) At(3,2)], [Bt(2,2,2)-At(2,2) Bt(4,2,2)-At(4,2) Bt(3,2,2)-At(3,2)],'k.','MarkerEdgeColor','none')
errorbar(2:3:8,[APCt(1,2) APCt(3,2) APCt(2,2)],[BPCt(1,2,2)-APCt(1,2) BPCt(3,2,2)-APCt(3,2) BPCt(2,2,2)-APCt(2,2)],'k.','MarkerEdgeColor','none')
xlabel('"significant difference" vs. "non-significant difference"','Fontname','Arial','FontSize',10)
ylabel('ratio/year','Fontname','Arial','FontSize',10)
set(gca,'xlim',[-1.5 9],'ylim',[0 .027],'XTick',[1.5 4.5 7.5],'XTickLabel',{'US','EU15','AS7'},'FontSize',10,'FontName','Arial')
ylimit=get(gca,'yLim');
text(-1,ylimit(2),{'{\itS}';'{\itNS}';'{\itS}/{\itNS}'},'HorizontalAlignment','left','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(.8,ylimit(2),{num2str(char(nf.format((nansum(CD(32,2,:)))))); num2str(char(nf.format((nansum(CD(33,2,:)))))); num2str((round(100*nanmean(CD(32,2,:)./CD(33,2,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(3.8,ylimit(2),{num2str(char(nf.format((nansum(CD(32,4,:)))))); num2str(char(nf.format((nansum(CD(33,4,:)))))); num2str((round(100*nanmean(CD(32,4,:)./CD(33,4,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(6.8,ylimit(2),{num2str(char(nf.format((nansum(CD(32,3,:)))))); num2str(char(nf.format((nansum(CD(33,3,:)))))); num2str((round(100*nanmean(CD(32,3,:)./CD(33,3,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(2.2,ylimit(2),{num2str(char(nf.format((nansum(CDPC2(4,1,:)))))); num2str(char(nf.format((nansum(CDPC2(5,1,:)))))); num2str((round(100*nanmean(CDPC2(4,1,:)./CDPC2(5,1,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(5.2,ylimit(2),{num2str(char(nf.format((nansum(CDPC2(4,3,:)))))); num2str(char(nf.format((nansum(CDPC2(5,3,:)))))); num2str((round(100*nanmean(CDPC2(4,3,:)./CDPC2(5,3,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(8.2,ylimit(2),{num2str(char(nf.format((nansum(CDPC2(4,2,:)))))); num2str(char(nf.format((nansum(CDPC2(5,2,:)))))); num2str((round(100*nanmean(CDPC2(4,2,:)./CDPC2(5,2,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(-3.3,ylimit(2),'B','HorizontalAlignment','center','FontWeight','Bold','FontName','Arial','FontSize',16)

subplot(2,3,3);hold on
bar(1:3:7,[Ap(2,2) Ap(4,2) Ap(3,2)],.3,'FaceColor',[.75 .75 .75])
bar(2:3:8,[APCp(1,2) APCp(3,2) APCp(2,2)],.3,'FaceColor',[1 .5 0]);
errorbar(1:3:7,[Ap(2,2) Ap(4,2) Ap(3,2)], [Bp(2,2,2)-Ap(2,2) Bp(4,2,2)-Ap(4,2) Bp(3,2,2)-Ap(3,2)],'k.','MarkerEdgeColor','none')
errorbar(2:3:8,[APCp(1,2) APCp(3,2) APCp(2,2)],[BPCp(1,2,2)-APCp(1,2) BPCp(3,2,2)-APCp(3,2) BPCp(2,2,2)-APCp(2,2)],'k.','MarkerEdgeColor','none')
xlabel('{\itp} < 0.05 vs. {\itp} > 0.05','Fontname','Arial','FontSize',10)
ylabel('ratio/year','Fontname','Arial','FontSize',10)
set(gca,'xlim',[-1.5 9],'ylim',[-1.3 .3],'XTick',[1.5 4.5 7.5],'XTickLabel',{'US','EU15','AS7'},'FontSize',10,'FontName','Arial')
ylimit=get(gca,'yLim');
text(-1,ylimit(2),{'{\itS}';'{\itNS}';'{\itS}/{\itNS}'},'HorizontalAlignment','left','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(.8,ylimit(2),{num2str(char(nf.format((nansum(CD(6,2,:)))))); num2str(char(nf.format((nansum(CD(7,2,:)))))); num2str((round(100*nanmean(CD(6,2,:)./CD(7,2,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(3.8,ylimit(2),{num2str(char(nf.format((nansum(CD(6,4,:)))))); num2str(char(nf.format((nansum(CD(7,4,:)))))); num2str((round(100*nanmean(CD(6,4,:)./CD(7,4,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(6.8,ylimit(2),{num2str(char(nf.format((nansum(CD(6,3,:)))))); num2str(char(nf.format((nansum(CD(7,3,:)))))); num2str((round(100*nanmean(CD(6,3,:)./CD(7,3,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(2.2,ylimit(2),{num2str(char(nf.format((nansum(CDPC2(6,1,:)))))); num2str(char(nf.format((nansum(CDPC2(7,1,:)))))); num2str((round(100*nanmean(CDPC2(6,1,:)./CDPC2(7,1,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(5.2,ylimit(2),{num2str(char(nf.format((nansum(CDPC2(6,3,:)))))); num2str(char(nf.format((nansum(CDPC2(7,3,:)))))); num2str((round(100*nanmean(CDPC2(6,3,:)./CDPC2(7,3,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(8.2,ylimit(2),{num2str(char(nf.format((nansum(CDPC2(6,2,:)))))); num2str(char(nf.format((nansum(CDPC2(7,2,:)))))); num2str((round(100*nanmean(CDPC2(6,2,:)./CDPC2(7,2,:)))/100),'%.2f')},'HorizontalAlignment','center','VerticalAlignment','top','Fontname','Arial','FontSize',6);
text(-3.3,ylimit(2),'C','HorizontalAlignment','center','FontWeight','Bold','FontName','Arial','FontSize',16)

subplot(2,3,4);hold on
bar(1:3:7,100*[A0(2,2) A0(4,2) A0(3,2)],.3,'FaceColor',[.75 .75 .75])
bar(2:3:8,100*[APC0(1,2) APC0(3,2) APC0(2,2)],.3,'FaceColor',[1 .5 0]);
errorbar(1:3:7,100*[A0(2,2) A0(4,2) A0(3,2)], 100*[B0(2,2,2)-A0(2,2) B0(4,2,2)-A0(4,2) B0(3,2,2)-A0(3,2)],'k.','MarkerEdgeColor','none')
errorbar(2:3:8,100*[APC0(1,2) APC0(3,2) APC0(2,2)],100*[BPC0(1,2,2)-APC0(1,2) BPC0(3,2,2)-APC0(3,2) BPC0(2,2,2)-APC0(2,2)],'k.','MarkerEdgeColor','none')
xlabel('{\itp} = 0.041-0.049 vs. {\itp} = 0.051-0.059','Fontname','Arial','FontSize',10)
ylabel('percentage/year','Fontname','Arial','FontSize',10)
set(gca,'xlim',[-1.5 9],'ylim',[0 1.7],'XTick',[1.5 4.5 7.5],'XTickLabel',{'US','EU15','AS7'},'FontSize',10,'FontName','Arial')
ylimit=get(gca,'yLim');
text(-3.3,ylimit(2),'D','HorizontalAlignment','center','FontWeight','Bold','FontName','Arial','FontSize',16)

subplot(2,3,5);hold on
bar(1:3:7,100*[At0(2,2) At0(4,2) At0(3,2)],.3,'FaceColor',[.75 .75 .75])
bar(2:3:8,100*[APCt0(1,2) APCt0(3,2) APCt0(2,2)],.3,'FaceColor',[1 .5 0]);
errorbar(1:3:7,100*[APCt0(1,2) APCt0(3,2) APCt0(2,2)],100*[BPCt0(1,2,2)-APCt0(1,2) BPCt0(3,2,2)-APCt0(3,2) BPCt0(2,2,2)-APCt0(2,2)],'k.','MarkerEdgeColor','none')
errorbar(2:3:8,100*[At0(2,2) At0(4,2) At0(3,2)], 100*[Bt0(2,2,2)-At0(2,2) Bt0(4,2,2)-At0(4,2) Bt0(3,2,2)-At0(3,2)],'k.','MarkerEdgeColor','none')
xlabel('"significant difference" vs. "non-significant difference"','Fontname','Arial','FontSize',10)
ylabel('percentage/year','Fontname','Arial','FontSize',10)
set(gca,'xlim',[-1.5 9],'ylim',[0 .9],'XTick',[1.5 4.5 7.5],'XTickLabel',{'US','EU15','AS7'},'FontSize',10,'FontName','Arial')
ylimit=get(gca,'yLim');
text(-3.3,ylimit(2),'E','HorizontalAlignment','center','FontWeight','Bold','FontName','Arial','FontSize',16)

subplot(2,3,6);hold on
bar(1:3:7,100*[Ap0(2,2) Ap0(4,2) Ap0(3,2)],.3,'FaceColor',[.75 .75 .75])
bar(2:3:8,100*[APCp0(1,2) APCp0(3,2) APCp0(2,2)],.3,'FaceColor',[1 .5 0]);
errorbar(1:3:7,100*[Ap0(2,2) Ap0(4,2) Ap0(3,2)], 100*[Bp0(2,2,2)-Ap0(2,2) Bp0(4,2,2)-Ap0(4,2) Bp0(3,2,2)-Ap0(3,2)],'k.','MarkerEdgeColor','none')
errorbar(2:3:8,100*[APCp0(1,2) APCp0(3,2) APCp0(2,2)],100*[BPCp0(1,2,2)-APCp0(1,2) BPCp0(3,2,2)-APCp0(3,2) BPCp0(2,2,2)-APCp0(2,2)],'k.','MarkerEdgeColor','none')
xlabel('{\itp} < 0.05 vs. {\itp} > 0.05','Fontname','Arial','FontSize',10)
ylabel('percentage/year','Fontname','Arial','FontSize',10)
set(gca,'xlim',[-1.5 9],'XTick',[1.5 4.5 7.5],'XTickLabel',{'US','EU15','AS7'},'FontSize',10,'FontName','Arial')
ylimit=get(gca,'yLim');
text(-3.3,ylimit(2),'F','HorizontalAlignment','center','FontWeight','Bold','FontName','Arial','FontSize',16)

R2013_1990=(CD(2:84,1,24)./CD(1,1,24))./(CD(2:84,1,1)./CD(1,1,1));
[~,LabelsR2013_1990]=xlsread('tobesearched16.xlsx',1,'A3:A85');
[~, temp]=sort(R2013_1990);
R2013_1990_sorted=sort(R2013_1990);
LabelsR2013_1990_sorted=LabelsR2013_1990(temp);
labeling=CD(2:84,1,24);
labeling_sorted=labeling(temp);
P2013=CD(2:84,1,24)./CD(1,1,24); P2013_sorted=P2013(temp);CD_sorted=P2013_sorted*CD(1,1,24);
P1990=CD(2:84,1,1)./CD(1,1,1); P1990_sorted=P1990(temp);
LabelsR2013_1990_sorted2=strrep(LabelsR2013_1990_sorted,'p = ','{\itp} = ');
LabelsR2013_1990_sorted2=strrep(LabelsR2013_1990_sorted2,'p > ','{\itp} > ');
LabelsR2013_1990_sorted2=strrep(LabelsR2013_1990_sorted2,'p < ','{\itp} < ');

figure('name','Figure 22','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1]);hold on
plot(log10(0.1)*ones(1,85),0:1:84,'-','LineWidth',.2,'Color',[.85 .85 .85])
plot(log10(0.2)*ones(1,85),0:1:84,'-','LineWidth',.2,'Color',[.85 .85 .85])
plot(log10(0.4)*ones(1,85),0:1:84,'-','LineWidth',.2,'Color',[.85 .85 .85])
plot(log10(0.6)*ones(1,85),0:1:84,'-','LineWidth',.2,'Color',[.85 .85 .85])
plot(log10(0.8)*ones(1,85),0:1:84,'-','LineWidth',.2,'Color',[.85 .85 .85])
plot(log10(2)*ones(1,85),0:1:84,'-','LineWidth',.2,'Color',[.85 .85 .85])
plot(log10(4)*ones(1,85),0:1:84,'-','LineWidth',.2,'Color',[.85 .85 .85])
plot(log10(6)*ones(1,85),0:1:84,'-','LineWidth',.2,'Color',[.85 .85 .85])
plot(log10(8)*ones(1,85),0:1:84,'-','LineWidth',.2,'Color',[.85 .85 .85])
plot(log10(10)*ones(1,85),0:1:84,'-','LineWidth',.2,'Color',[.85 .85 .85])
plot(log10(20)*ones(1,85),0:1:84,'-','LineWidth',.2,'Color',[.85 .85 .85])
barh(1:2:83,log10(R2013_1990_sorted(1:2:83)),.23,'FaceColor',[0 0 0])
barh(2:2:83,log10(R2013_1990_sorted(2:2:83)),.23,'FaceColor',[.5 .5 .5])
set(gca,'xlim',log10([0.08 24]),'XTick',log10([0.1 0.2 0.4 0.6 0.8 1 2 4 6 8 10 20]),'ylim',[0 84],'YTick',1:1:83,'YTickLabel',char(LabelsR2013_1990_sorted2(1:83)),'FontSize',5,'FontName','Arial')
set(gca,'Xticklabel',10.^get(gca,'Xtick'))
ylabels = cellstr(get(gca,'YTickLabel'));
set(gca,'YTickLabel',[])
text(-1.12*ones(83,1), 1:83, ylabels(1:83), 'HorizontalAlignment','right','VerticalAlignment','middle','FontSize',5,'FontName','Arial');
xlabel('({\itN}_{2013}/{\itT}_{2013})/({\itN}_{1990}/{\itT}_{1990})','FontSize',5,'FontName','Arial')
plot(zeros(1,85),0:1:84,'r-','LineWidth',1.5)
for i=1:83
    if R2013_1990_sorted(i)>=1
        text(log10(R2013_1990_sorted(i))+0.02,i,num2str(char(nf.format(CD_sorted(i,1)))),'FontSize',4.5,'FontName','Arial');
    else
        text(log10(R2013_1990_sorted(i))-0.02,i,num2str(char(nf.format(CD_sorted(i,1)))),'FontSize',4.5,'FontName','Arial','HorizontalAlignment','Right');
    end
end
get(gca,'ticklength');
set(gca,'ticklength',.3*get(gca,'ticklength'))
pbaspect([1 2 1])
ah=copyobj(gca,gcf);
set(ah,'color','none','xaxislocation','top')

disp(['2013-to-1990 ratio for "our aim" = ' num2str(round(10*R2013_1990_sorted(ismember(ylabels,'"our aim"')))/10)])
disp(['2013-to-1990 ratio for "the aim of" = ' num2str(round(10*R2013_1990_sorted(ismember(ylabels,'"the aim of"')))/10)])
disp(['2013-to-1990 ratio for "results showed that" = ' num2str(round(10*R2013_1990_sorted(ismember(ylabels,'"results showed that"')))/10)])
disp(['2013-to-1990 ratio for "paradigm shift" = ' num2str(round(10*R2013_1990_sorted(ismember(ylabels,'"paradigm shift"')))/10)])

figure('name','Figure 23','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1]);hold on
pvalues=0.001:0.001:0.099;
for i=10:10:90
    CDB(i,:,:)=NaN;
    CDBR(i,:,:)=NaN;
end
plot(pvalues,log10(100*nansum(CDB(1:99,1,1:8),3)/nansum(CD(1,1,1:8))),'go-','Linewidth',3,'MarkerFaceColor','g') % 1990-1997
plot(pvalues,log10(100*nansum(CDB(1:99,1,9:16),3)/nansum(CD(1,1,9:16))),'ms-','Linewidth',3,'MarkerFaceColor','m') % 1997-2005
plot(pvalues,log10(100*nansum(CDB(1:99,1,17:24),3)/nansum(CD(1,1,17:24))),'bd-','Linewidth',3,'MarkerFaceColor','b') % 2006-2013
plot([0.050 0.050],[-3.53 -.35],'r-','LineWidth',3)
ratio2=NaN(9,1);
ratio1=(100*nansum(nansum(CDB(1:9,1,17:24),3))/nansum(nansum(CD(1,1,17:24))))./(100*nansum(nansum(CDB(1:9,1,1:8),3))/nansum(nansum(CD(1,1,1:8))));
for i=1:9
ratio2(i)=(100*nansum(nansum(CDB(10*i:10*i+9,1,17:24),3))/nansum(nansum(CD(1,1,17:24))))./(100*nansum(nansum(CDB(10*i:10*i+9,1,1:8),3))/nansum(nansum(CD(1,1,1:8))));
end
ratio2=[ratio1 ratio2']';
xlabel('{\itp}-value','FontSize',24,'FontName','Arial')
ylabel('Percentage of papers','FontSize',24,'FontName','Arial')
labelsX=get(gca,'XTickLabel');
set(gca,'XTickLabel',num2str(round(100*str2num(labelsX))/100,'%.3f'),'ylim',[-3.53 -.35],'YTick',log10([.0003 .001 .002 .004 .006 .008 .01 .02 .04 .06 .08 .10 .2 .4]),'YTickLabel',[.0003 .001 .002 .004 .006 .008 .01 .02 .04 .06 .08 .10 .2 .4])
h=findobj('FontName','Helvetica'); set(h,'FontSize',18,'Fontname','Arial'); grid on
legend(['1990' char(8211) '1997'],['1998' char(8211) '2005'],['2006' char(8211) '2013'],'Location','SouthWest')
for i=1:10
text(pvalues(10*i-4), log10(0.5), num2str(round(100*ratio2(i))/100,'%.2f'),'HorizontalAlignment','Center','FontSize',16,'FontName','Arial')
end

figure('name','Figure S1','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1]);hold on
plot(Y,squeeze(CDER(1,1,:)),'g-v','Linewidth',3,'MarkerFaceColor','g')
plot(Y,squeeze(CDER(2,1,:)),'m-o','Linewidth',3,'MarkerFaceColor','m')
plot(Y,squeeze(CDER(3,1,:)),'k-s','Linewidth',3,'MarkerFaceColor','k')
LP
legend('{\itp} < 0.05 but not {\itp} > 0.05','{\itp} > 0.05 but not {\itp} < 0.05','both {\itp} < 0.05 and {\itp} > 0.05','Location','East')

figure('name','Figure S2','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1])
temp=CDR;I1=[16 17];I2=[2 4 3];NP;LP
legend('{\itp} between 0.041 and 0.049, US','{\itp} between 0.051 and 0.059, US','{\itp} between 0.041 and 0.049, EU15','{\itp} between 0.051 and 0.059, EU15','{\itp} between 0.041 and 0.049, AS7','{\itp} between 0.051 and 0.059, AS7',2)

figure('name','Figure S3','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1])
temp=CDR;I1=[32 33];I2=[2 4 3];NP;LP
h_legend=legend('"significant difference", US','"no significant difference", US','"significant difference", EU15','"no significant difference", EU15','"significant difference", AS7','"no significant difference", AS7',1);
set(h_legend,'FontSize',19)

figure('name','Figure S4','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1])
temp=CDR;I1=[6 7];I2=[2 4 3];NP;LP
legend('{\itp} < 0.05, US','{\itp} > 0.05, US','{\itp} < 0.05, EU15','{\itp} > 0.05, EU15','{\itp} < 0.05, AS7','{\itp} > 0.05, AS7','Location',[0.15 0.31 0.15 0.05])

figure('name','Figure S5','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1])
temp=CDSR;I1=[1 2];I2=[1 2 3];NP;LP
legend('{\itp} between 0.041 and 0.049, psychiatr*','{\itp} between 0.051 and 0.059, psychiatr*','{\itp} between 0.041 and 0.049, surg*','{\itp} between 0.051 and 0.059, surg*','{\itp} between 0.041 and 0.049, cardio* OR heart','{\itp} between 0.051 and 0.059, cardio* OR heart',2)

figure('name','Figure S6','numbertitle','off','Units', 'Normalized', 'OuterPosition', [0 0 1 1])
temp=CDSR;temp2=AS;I1=[1 2];I2=[1 2 3];NP2;RP
legend('psychiatr*','surg*','cardio* OR heart',4)

%%
% for r=1:29  % save figures as eps
%     figure(r)
%     set(gcf, 'PaperPositionMode', 'manual');
%     set(gcf, 'PaperUnits', 'inches');
%     set(gcf, 'PaperPosition', [2.5 2.5 10*2757/1458 10]); 
%     print(gcf,['Figure' num2str(r) '.eps'],'-depsc2','-tiff','-r300');
% end
